# Contributing to Wagtail

Thank you for considering to help Wagtail.

We welcome all support, whether on bug reports, code, design, reviews, tests, 
documentation, translations or just feature requests.

## Using the issue tracker

The [issue tracker](https://github.com/wagtail/wagtail/issues) is
the preferred channel for [bug reports](#bugs), [features requests](#features)
and [submitting pull requests](#pull-requests). Please don't use the issue tracker
for support - use [the 'wagtail' tag on Stack Overflow](https://stackoverflow.com/questions/tagged/wagtail) (preferred) or our [Wagtail support group](https://groups.google.com/forum/#!forum/wagtail).

## New code

Please review the 
[contributing guidelines](https://docs.wagtail.io/en/latest/contributing/index.html).
You might like to start by checking issues with the 
[good first issue](https://github.com/wagtail/wagtail/labels/good%20first%20issue) label.

## Code reviews

We welcome code reviews from everyone. There's always a list of pull requests tagged ['Needs review'](https://github.com/wagtail/wagtail/pulls?q=is%3Apr+is%3Aopen+label%3A%22Needs+review%22).

## Translations

Please submit any new or improved translations through [Transifex](https://www.transifex.com/projects/p/wagtail/).
